<?php
/**
* The template for displaying 404 pages (not found).
*
* @link https://codex.wordpress.org/Creating_an_Error_404_Page
*
* @package GridBone WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class='gridbone-main-wrapper gridbone-clearfix' id='gridbone-main-wrapper' itemscope='itemscope' itemtype='http://schema.org/Blog' role='main'>
<div class='theiaStickySidebar'>
<div class="gridbone-main-wrapper-inside gridbone-clearfix">

<div class='gridbone-posts-wrapper' id='gridbone-posts-wrapper'>

<div class='gridbone-posts gridbone-box'>
<div class="gridbone-box-inside">

<div class="gridbone-page-header-outside">
<header class="gridbone-page-header">
<div class="gridbone-page-header-inside">
    <?php if ( gridbone_get_option('error_404_heading') ) : ?>
    <h1 class="page-title"><?php echo esc_html( gridbone_get_option('error_404_heading') ); ?></h1>
    <?php else : ?>
    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can not be found.', 'gridbone' ); ?></h1>
    <?php endif; ?>
</div>
</header><!-- .gridbone-page-header -->
</div>

<div class='gridbone-posts-content'>

    <?php if ( gridbone_get_option('error_404_message') ) : ?>
    <p><?php echo wp_kses_post( force_balance_tags( gridbone_get_option('error_404_message') ) ); ?></p>
    <?php else : ?>
    <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'gridbone' ); ?></p>
    <?php endif; ?>

    <?php if ( !(gridbone_get_option('hide_404_search')) ) { ?><?php get_search_form(); ?><?php } ?>

</div>

</div>
</div>

</div><!--/#gridbone-posts-wrapper -->

<?php gridbone_404_widgets(); ?>

</div>
</div>
</div><!-- /#gridbone-main-wrapper -->

<?php get_footer(); ?>