jQuery(document).ready(function($) {
    'use strict';

    if(gridbone_ajax_object.secondary_menu_active){

        $(".gridbone-nav-secondary .gridbone-secondary-nav-menu").addClass("gridbone-secondary-responsive-menu");

        $( ".gridbone-secondary-responsive-menu-icon" ).on( "click", function() {
            $(this).next(".gridbone-nav-secondary .gridbone-secondary-nav-menu").slideToggle();
        });

        $(window).on( "resize", function() {
            if(window.innerWidth > 1112) {
                $(".gridbone-nav-secondary .gridbone-secondary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
                $(".gridbone-secondary-responsive-menu > li").removeClass("gridbone-secondary-menu-open");
            }
        });

        $( ".gridbone-secondary-responsive-menu > li" ).on( "click", function(event) {
            if (event.target !== this)
            return;
            $(this).find(".sub-menu:first").toggleClass('gridbone-submenu-toggle').parent().toggleClass("gridbone-secondary-menu-open");
            $(this).find(".children:first").toggleClass('gridbone-submenu-toggle').parent().toggleClass("gridbone-secondary-menu-open");
        });

        $( "div.gridbone-secondary-responsive-menu > ul > li" ).on( "click", function(event) {
            if (event.target !== this)
                return;
            $(this).find("ul:first").toggleClass('gridbone-submenu-toggle').parent().toggleClass("gridbone-secondary-menu-open");
        });

    }

    if(gridbone_ajax_object.primary_menu_active){

        if(gridbone_ajax_object.sticky_menu_active){
        // grab the initial top offset of the navigation 
        var gridbonestickyNavTop = $('.gridbone-primary-menu-container').offset().top;
        
        // our function that decides weather the navigation bar should have "fixed" css position or not.
        var gridbonestickyNav = function(){
            var gridbonescrollTop = $(window).scrollTop(); // our current vertical position from the top
                 
            // if we've scrolled more than the navigation, change its position to fixed to stick to top,
            // otherwise change it back to relative

            if(gridbone_ajax_object.sticky_mobile_menu_active){
                if (gridbonescrollTop > gridbonestickyNavTop) {
                    $('.gridbone-primary-menu-container').addClass('gridbone-fixed');
                } else {
                    $('.gridbone-primary-menu-container').removeClass('gridbone-fixed');
                }
            } else {
                if(window.innerWidth > 1112) {
                    if (gridbonescrollTop > gridbonestickyNavTop) {
                        $('.gridbone-primary-menu-container').addClass('gridbone-fixed');
                    } else {
                        $('.gridbone-primary-menu-container').removeClass('gridbone-fixed'); 
                    }
                }
            }
        };

        gridbonestickyNav();
        // and run it again every time you scroll
        $(window).on( "scroll", function() {
            gridbonestickyNav();
        });
        }

        $(".gridbone-nav-primary .gridbone-primary-nav-menu").addClass("gridbone-primary-responsive-menu");

        $( ".gridbone-primary-responsive-menu-icon" ).on( "click", function() {
            $(this).next(".gridbone-nav-primary .gridbone-primary-nav-menu").slideToggle();
        });

        $(window).on( "resize", function() {
            if(window.innerWidth > 1112) {
                $(".gridbone-nav-primary .gridbone-primary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
                $(".gridbone-primary-responsive-menu > li").removeClass("gridbone-primary-menu-open");
            }
        });

        $( ".gridbone-primary-responsive-menu > li" ).on( "click", function(event) {
            if (event.target !== this)
            return;
            $(this).find(".sub-menu:first").toggleClass('gridbone-submenu-toggle').parent().toggleClass("gridbone-primary-menu-open");
            $(this).find(".children:first").toggleClass('gridbone-submenu-toggle').parent().toggleClass("gridbone-primary-menu-open");
        });

        $( "div.gridbone-primary-responsive-menu > ul > li" ).on( "click", function(event) {
            if (event.target !== this)
                return;
            $(this).find("ul:first").toggleClass('gridbone-submenu-toggle').parent().toggleClass("gridbone-primary-menu-open");
        });

    }

    if($(".gridbone-header-social-icon-search").length){
        $(".gridbone-header-social-icon-search").on('click', function (e) {
            e.preventDefault();
            document.getElementById("gridbone-search-overlay-wrap").style.display = "block";
            const gridbone_focusableelements = 'button, [href], input';
            const gridbone_search_modal = document.querySelector('#gridbone-search-overlay-wrap');
            const gridbone_firstfocusableelement = gridbone_search_modal.querySelectorAll(gridbone_focusableelements)[0];
            const gridbone_focusablecontent = gridbone_search_modal.querySelectorAll(gridbone_focusableelements);
            const gridbone_lastfocusableelement = gridbone_focusablecontent[gridbone_focusablecontent.length - 1];
            document.addEventListener('keydown', function(e) {
              let isTabPressed = e.key === 'Tab' || e.keyCode === 9;
              if (!isTabPressed) {
                return;
              }
              if (e.shiftKey) {
                if (document.activeElement === gridbone_firstfocusableelement) {
                  gridbone_lastfocusableelement.focus();
                  e.preventDefault();
                }
              } else {
                if (document.activeElement === gridbone_lastfocusableelement) {
                  gridbone_firstfocusableelement.focus();
                  e.preventDefault();
                }
              }
            });
            gridbone_firstfocusableelement.focus();
        });
    }

    if($(".gridbone-search-closebtn").length){
        $(".gridbone-search-closebtn").on('click', function (e) {
            e.preventDefault();
            document.getElementById("gridbone-search-overlay-wrap").style.display = "none";
        });
    }

    if(gridbone_ajax_object.fitvids_active){
        $(".entry-content, .widget").fitVids();
    }

    if(gridbone_ajax_object.backtotop_active){
        if($(".gridbone-scroll-top").length){
            var gridbone_scroll_button = $( '.gridbone-scroll-top' );
            gridbone_scroll_button.hide();

            $( window ).on( "scroll", function() {
                if ( $( window ).scrollTop() < 20 ) {
                    $( '.gridbone-scroll-top' ).fadeOut();
                } else {
                    $( '.gridbone-scroll-top' ).fadeIn();
                }
            } );

            gridbone_scroll_button.on( "click", function() {
                $( "html, body" ).animate( { scrollTop: 0 }, 300 );
                return false;
            } );
        }
    }




    var gridbone_slider_autoplay;
    var gridbone_slider_loop;
    var gridbone_show_dots_pagination;
    var gridbone_show_next_prev_navigation;
    var gridbone_autoheight_active;
    var gridbone_slider_rtl;
    var gridbone_slider_autoplayhoverpause;
    if(gridbone_ajax_object.slider_active){
        gridbone_slider_autoplay = gridbone_ajax_object.slider_autoplay ? true : false;
        gridbone_slider_loop = gridbone_ajax_object.slider_loop ? true : false;
        gridbone_show_dots_pagination = gridbone_ajax_object.show_dots_pagination ? true : false;
        gridbone_show_next_prev_navigation = gridbone_ajax_object.show_next_prev_navigation ? true : false;
        gridbone_autoheight_active = gridbone_ajax_object.autoheight_active ? true : false;
        gridbone_slider_rtl = gridbone_ajax_object.slider_rtl ? true : false;
        gridbone_slider_autoplayhoverpause = gridbone_ajax_object.slider_autoplayhoverpause ? true : false;

        if ( $().owlCarousel ) {
            var gridbonecarouselwrapper = $('.gridbone-posts-carousel');
            var imgLoad = imagesLoaded(gridbonecarouselwrapper);
            imgLoad.on( 'always', function() {
                gridbonecarouselwrapper.each(function(){
                        var $this = $(this);
                        $this.find('.owl-carousel').owlCarousel({
                            autoplay: gridbone_slider_autoplay,
                            loop: gridbone_slider_loop,
                            margin: 15,
                            smartSpeed: 250,
                            dots: gridbone_show_dots_pagination,
                            dotsSpeed: 100,
                            nav: gridbone_show_next_prev_navigation,
                            navSpeed: 100,
                            mouseDrag: true,
                            touchDrag: true,
                            rtl: gridbone_slider_rtl,
                            autoplayTimeout: Number(gridbone_ajax_object.slider_autoplaytimeout),
                            autoplaySpeed: Number(gridbone_ajax_object.slider_autoplayspeed),
                            autoplayHoverPause: gridbone_slider_autoplayhoverpause,
                            autoHeight: gridbone_autoheight_active,
                            navText: [ '<i class="fas fa-angle-left"></i>', '<i class="fas fa-angle-right"></i>' ],
                            responsive:{
                            0:{
                                items: 1
                            },
                            320:{
                                items: 1
                            },
                            414:{
                                items: 1
                            },
                            601:{
                                items: 2
                            },
                            791:{
                                items: 2
                            },
                            1001:{
                                items: 3
                            },
                            1113:{
                                items: 3
                            },
                            1277:{
                                items: 4
                            }
                        }
                    });
                });
            });
        }
    }




    if(gridbone_ajax_object.sticky_sidebar_active){
        $('.gridbone-main-wrapper, .gridbone-sidebar-one-wrapper').theiaStickySidebar({
            containerSelector: ".gridbone-content-wrapper",
            additionalMarginTop: 0,
            additionalMarginBottom: 0,
            minWidth: 960,
        });

        $(window).on( "resize", function() {
            $('.gridbone-main-wrapper, .gridbone-sidebar-one-wrapper').theiaStickySidebar({
                containerSelector: ".gridbone-content-wrapper",
                additionalMarginTop: 0,
                additionalMarginBottom: 0,
                minWidth: 960,
            });
        });
    }

});