<?php
/**
* The template for displaying author archive pages.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package GridBone WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="gridbone-main-wrapper gridbone-clearfix" id="gridbone-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="gridbone-main-wrapper-inside gridbone-clearfix">

<?php gridbone_before_main_content(); ?>

<?php if ( !(gridbone_get_option('hide_post_breadcrumbs')) ) { ?>
    <?php if ( function_exists('yoast_breadcrumb') ) { yoast_breadcrumb( '<div class="gridbone-breadcrumbs-wrapper"><div id="gridbone-yoast-breadcrumbs">','</div></div>' ); } ?>
<?php } ?>

<div class="gridbone-posts-wrapper" id="gridbone-posts-wrapper">

<?php if ( !(gridbone_get_option('hide_author_title')) ) { ?>
<div class="gridbone-page-header-outside">
<header class="gridbone-page-header">
<div class="gridbone-page-header-inside">
<?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>
<?php if ( !(gridbone_get_option('hide_author_description')) ) { ?><?php the_archive_description( '<div class="taxonomy-description">', '</div>' ); ?><?php } ?>
</div>
</header>
</div>
<?php } ?>

<div class="gridbone-posts-content">

<?php if (have_posts()) : ?>

    <div class="gridbone-posts gridbone-posts-grid">
    <?php while (have_posts()) : the_post(); ?>

        <?php get_template_part( 'template-parts/content-grid' ); ?>

    <?php endwhile; ?>
    </div>
    <div class="clear"></div>

    <?php gridbone_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</div>

</div><!--/#gridbone-posts-wrapper -->

<?php gridbone_after_main_content(); ?>

</div>
</div>
</div><!-- /#gridbone-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>