<?php
/**
* The template for displaying the footer
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package GridBone WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

</div>

</div><!--/#gridbone-content-wrapper -->
</div><!--/#gridbone-wrapper -->

<?php gridbone_bottom_wide_widgets(); ?>

<?php gridbone_footer_notice_area(); ?>

<?php if ( 'before-footer' === gridbone_secondary_menu_location() ) { ?><?php gridbone_secondary_menu_area(); ?><?php } ?>

<?php gridbone_before_footer(); ?>

<?php if ( !(gridbone_hide_footer_widgets()) ) { ?>
<?php if ( is_active_sidebar( 'gridbone-footer-1' ) || is_active_sidebar( 'gridbone-footer-2' ) || is_active_sidebar( 'gridbone-footer-3' ) || is_active_sidebar( 'gridbone-footer-4' ) || is_active_sidebar( 'gridbone-footer-5' ) || is_active_sidebar( 'gridbone-top-footer' ) || is_active_sidebar( 'gridbone-bottom-footer' ) ) : ?>
<div class='gridbone-clearfix' id='gridbone-footer-blocks' itemscope='itemscope' itemtype='http://schema.org/WPFooter' role='contentinfo'>
<div class='gridbone-container gridbone-clearfix'>
<div class="gridbone-outer-wrapper">

<?php if ( is_active_sidebar( 'gridbone-top-footer' ) ) : ?>
<div class='gridbone-clearfix'>
<div class='gridbone-top-footer-block'>
<?php dynamic_sidebar( 'gridbone-top-footer' ); ?>
</div>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'gridbone-footer-1' ) || is_active_sidebar( 'gridbone-footer-2' ) || is_active_sidebar( 'gridbone-footer-3' ) || is_active_sidebar( 'gridbone-footer-4' ) || is_active_sidebar( 'gridbone-footer-5' ) ) : ?>
<div class='gridbone-footer-block-cols gridbone-clearfix'>

<div class="gridbone-footer-block-col gridbone-footer-5-col" id="gridbone-footer-block-1">
<?php dynamic_sidebar( 'gridbone-footer-1' ); ?>
</div>

<div class="gridbone-footer-block-col gridbone-footer-5-col" id="gridbone-footer-block-2">
<?php dynamic_sidebar( 'gridbone-footer-2' ); ?>
</div>

<div class="gridbone-footer-block-col gridbone-footer-5-col" id="gridbone-footer-block-3">
<?php dynamic_sidebar( 'gridbone-footer-3' ); ?>
</div>

<div class="gridbone-footer-block-col gridbone-footer-5-col" id="gridbone-footer-block-4">
<?php dynamic_sidebar( 'gridbone-footer-4' ); ?>
</div>

<div class="gridbone-footer-block-col gridbone-footer-5-col" id="gridbone-footer-block-5">
<?php dynamic_sidebar( 'gridbone-footer-5' ); ?>
</div>

</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'gridbone-bottom-footer' ) ) : ?>
<div class='gridbone-clearfix'>
<div class='gridbone-bottom-footer-block'>
<?php dynamic_sidebar( 'gridbone-bottom-footer' ); ?>
</div>
</div>
<?php endif; ?>

</div>
</div>
</div><!--/#gridbone-footer-blocks-->
<?php endif; ?>
<?php } ?>

<?php if ( 'after-footer' === gridbone_secondary_menu_location() ) { ?><?php gridbone_secondary_menu_area(); ?><?php } ?>

<?php gridbone_after_footer(); ?>

<div class='gridbone-clearfix' id='gridbone-copyright-area'>
<div class='gridbone-copyright-area-inside gridbone-container'>
<div class="gridbone-outer-wrapper">
<div class='gridbone-copyright-area-inside-content gridbone-clearfix'>

<?php if ( gridbone_get_option('footer_text') ) : ?>
  <p class='gridbone-copyright'><?php echo wp_kses_post( force_balance_tags( gridbone_get_option('footer_text') ) ); ?></p>
<?php else : ?>
  <p class='gridbone-copyright'><?php /* translators: %s: Year and site name. */ printf( esc_html__( 'Copyright &copy; %s', 'gridbone' ), esc_html(date_i18n(__('Y','gridbone'))) . ' ' . esc_html(get_bloginfo( 'name' ))  ); ?></p>
<?php endif; ?>
<p class='gridbone-credit'><a href="<?php echo esc_url( 'https://themesdna.com/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'gridbone' ), 'ThemesDNA.com' ); ?></a></p>

</div>
</div>
</div>
</div><!--/#gridbone-copyright-area -->

</div>

<?php if ( gridbone_is_backtotop_active() ) { ?><button class="gridbone-scroll-top" title="<?php esc_attr_e('Scroll to Top','gridbone'); ?>"><i class="fas fa-arrow-up" aria-hidden="true"></i><span class="gridbone-sr-only"><?php esc_html_e('Scroll to Top', 'gridbone'); ?></span></button><?php } ?>

<?php wp_footer(); ?>
</body>
</html>