<?php
/**
* The header for GridBone theme.
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package GridBone WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="gridbone-site-body" itemscope="itemscope" itemtype="http://schema.org/WebPage">
<?php wp_body_open(); ?>
<a class="skip-link screen-reader-text" href="#gridbone-posts-wrapper"><?php esc_html_e( 'Skip to content', 'gridbone' ); ?></a>

<div class="gridbone-site-wrapper">

<?php gridbone_header_image(); ?>

<?php if ( 'before-header' === gridbone_secondary_menu_location() ) { ?><?php gridbone_secondary_menu_area(); ?><?php } ?>

<?php gridbone_before_header(); ?>

<div class="gridbone-site-header gridbone-container" id="gridbone-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader" role="banner">
<div class="gridbone-head-content gridbone-clearfix" id="gridbone-head-content">

<?php if ( gridbone_is_header_content_active() ) { ?>
<div class="gridbone-header-inside gridbone-clearfix">
<div class="gridbone-header-inside-content gridbone-clearfix">
<div class="gridbone-outer-wrapper">
<div class="gridbone-header-inside-container">

<div class="gridbone-header-layout-logo gridbone-header-layout-item">
<div class="gridbone-header-layout-logo-inside gridbone-header-layout-item-inside">
<?php if ( has_custom_logo() ) : ?>
    <div class="site-branding site-branding-full">
    <div class="gridbone-custom-logo-image">
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="gridbone-logo-img-link">
        <img src="<?php echo esc_url( gridbone_custom_logo() ); ?>" alt="" class="gridbone-logo-img"/>
    </a>
    </div>
    <div class="gridbone-custom-logo-info"><?php gridbone_site_title(); ?></div>
    </div>
<?php else: ?>
    <div class="site-branding">
        <?php gridbone_site_title(); ?>
    </div>
<?php endif; ?>
</div>
</div>

<div class="gridbone-header-layout-search gridbone-header-layout-item">
<div class="gridbone-header-layout-search-inside gridbone-header-layout-item-inside">
<?php get_search_form(); ?>
</div>
</div>

<?php if ( gridbone_is_social_buttons_active() ) { ?>
<div class="gridbone-header-layout-social gridbone-header-layout-item">
<div class="gridbone-header-layout-social-inside gridbone-header-layout-item-inside">
    <?php gridbone_social_buttons(); ?>
    <?php if ( gridbone_get_option('show_search_button') ) { ?>
    <div id="gridbone-search-overlay-wrap" class="gridbone-search-overlay">
      <div class="gridbone-search-overlay-content">
        <?php get_search_form(); ?>
      </div>
      <button class="gridbone-search-closebtn" aria-label="<?php esc_attr_e( 'Close Search', 'gridbone' ); ?>" title="<?php esc_attr_e('Close Search','gridbone'); ?>">&#xD7;</button>
    </div>
    <?php } ?>
</div>
</div>
<?php } ?>

</div>
</div>
</div>
</div>
<?php } else { ?>
<div class="gridbone-no-header-content">
  <?php gridbone_site_title(); ?>
</div>
<?php } ?>

</div><!--/#gridbone-head-content -->
</div><!--/#gridbone-header -->

<?php gridbone_after_header(); ?>

<?php if ( 'after-header' === gridbone_secondary_menu_location() ) { ?><?php gridbone_secondary_menu_area(); ?><?php } ?>

<?php gridbone_primary_menu_area(); ?>

<?php gridbone_header_notice_area(); ?>

<?php gridbone_slider_area(); ?>

<div class="gridbone-outer-wrapper" id="gridbone-wrapper-outside">
<div class="gridbone-container gridbone-clearfix" id="gridbone-wrapper">

<?php gridbone_top_wide_widgets(); ?>

<div class="gridbone-content-wrapper gridbone-clearfix" id="gridbone-content-wrapper">