<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package GridBone WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="gridbone-main-wrapper gridbone-clearfix" id="gridbone-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="gridbone-main-wrapper-inside gridbone-clearfix">

<?php gridbone_before_main_content(); ?>

<?php if ( is_front_page() && is_home() && !is_paged() && gridbone_get_option('hide_posts_home') ) { ?>
    <?php //do not display posts ?>
<?php } else { ?>
<div class="gridbone-posts-wrapper" id="gridbone-posts-wrapper">

<?php if ( !(gridbone_get_option('hide_posts_heading')) ) { ?>
<?php if(is_home() && !is_paged()) { ?>
<?php if ( gridbone_get_option('posts_heading') ) : ?>
<div class="gridbone-posts-header"><h2 class="gridbone-posts-heading"><span class="gridbone-posts-heading-inside"><?php echo esc_html( gridbone_get_option('posts_heading') ); ?></span></h2></div>
<?php else : ?>
<div class="gridbone-posts-header"><h2 class="gridbone-posts-heading"><span class="gridbone-posts-heading-inside"><?php esc_html_e( 'Recent Posts', 'gridbone' ); ?></span></h2></div>
<?php endif; ?>
<?php } ?>
<?php } ?>

<div class="gridbone-posts-content">

<?php if (have_posts()) : ?>

    <div class="gridbone-posts gridbone-posts-grid">
    <?php while (have_posts()) : the_post(); ?>

        <?php get_template_part( 'template-parts/content-grid' ); ?>

    <?php endwhile; ?>
    </div>
    <div class="clear"></div>

    <?php gridbone_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</div>

</div><!--/#gridbone-posts-wrapper -->
<?php } ?>

<?php gridbone_after_main_content(); ?>

</div>
</div>
</div><!-- /#gridbone-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>