<?php
/**
* Template part for displaying single posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package GridBone WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<?php gridbone_before_single_post(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class('gridbone-post-singular gridbone-box'); ?>>
<div class="gridbone-box-inside gridbone-post-box-inside gridbone-clearfix">

    <?php gridbone_before_single_post_title(); ?>

    <?php if ( !(gridbone_get_option('hide_post_breadcrumbs')) ) { ?>
        <?php if ( function_exists('yoast_breadcrumb') ) { yoast_breadcrumb( '<div class="gridbone-breadcrumbs-wrapper"><div id="gridbone-yoast-breadcrumbs">','</div></div>' ); } ?>
    <?php } ?>

    <?php if ( !(gridbone_get_option('hide_post_title')) ) { ?>
    <header class="entry-header">
    <div class="entry-header-inside gridbone-clearfix">
        <?php if ( gridbone_get_option('remove_post_title_link') ) { ?>
            <?php the_title( '<h1 class="post-title entry-title">', '</h1>' ); ?>
        <?php } else { ?>
            <?php the_title( sprintf( '<h1 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
        <?php } ?>
    </div>
    </header>
    <?php } ?>

    <?php gridbone_entry_header(); ?>

    <?php if ( !(gridbone_get_option('hide_share_buttons')) ) { echo wp_kses_post( force_balance_tags( gridbone_social_sharing_buttons() ) ); } ?>

    <?php gridbone_after_single_post_title(); ?>

    <div class="entry-content gridbone-clearfix">
            <?php
            gridbone_top_single_post_content();

            the_content( sprintf(
                wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                    __( 'Continue reading<span class="gridbone-sr-only"> "%s"</span> <span class="meta-nav">&rarr;</span>', 'gridbone' ),
                    array(
                        'span' => array(
                            'class' => array(),
                        ),
                    )
                ),
                wp_kses_post( get_the_title() )
            ) );

            wp_link_pages( array(
             'before'      => '<div class="gridbone-clearfix"></div><div class="gridbone-clearfix"></div><div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'gridbone' ) . '</span>',
             'after'       => '</div>',
             'link_before' => '<span>',
             'link_after'  => '</span>',
             ) );

            gridbone_bottom_single_post_content();
            ?>
    </div>

    <?php gridbone_after_single_post_content(); ?>

    <?php gridbone_entry_footer(); ?>

</div>
</article>

<?php if ( !(gridbone_get_option('hide_author_bio_box')) ) { echo wp_kses_post( force_balance_tags( gridbone_add_author_bio_box() ) ); } ?>

<?php gridbone_after_single_post(); ?>